SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:escape-html-uri

fn:escape-html-uri(string $uri-part) → string

Function signature

$uri-part | xs:string
Result | string

Applies the %HH escaping convention to a URI, according to the rules of the HTML specification: that is, non-ASCII characters are escaped, but all ASCII characters, including spaces, are retained intact.

XPath 2.0 Specification

Note:This function is useful in conjunction with the serialization option escape-uri-attributes="no": it then allows escaping to be applied to URI-valued attributes selectively under application control.

Next